<?php
  //solicitamos archivo de conexion a mysql
  require_once('../../conf/connection.php');
  //si an pulsado el boton de enviar
  
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $cantidad=stripslashes($_POST["cantidad"]);
	  $idpedido=stripslashes($_POST["idpedido"]);
	  $idplatos=stripslashes($_POST["idplatos"]);
	  

if( $cantidad==""){ ?> 
<script>alert("Error: Existen campos vacios"); window.history.back(); </script> 
<? }else{	
	
    //Construimos el query!
   $modificar="UPDATE detalles_pedido SET cantidad='$cantidad' WHERE numero='$idpedido' and idplatos='$idplatos' ";
   mysql_query($modificar, $conn) or die("Error en el query: ".mysql_error());
			
			 $query="SELECT * FROM detalles_pedido  WHERE numero='$idpedido'";
             $rs_query=mysql_query($query);
             $cant=mysql_result($rs_query,0,"cantidad");
             $precio_unit=mysql_result($rs_query,0,"valor_unitario");
			 $total=$cant*$precio_unit;
			 //actualizo total de venta en tabla "detalles pedido"
			 $query="UPDATE detalles_pedido SET valor_total='$total' WHERE numero='$idpedido' and idplatos='$idplatos'";
             $rs_query=mysql_query($query);
			 //actuliza valores en tabla "pedido"
			 
			 $query_sum="SELECT SUM(valor_total) AS total_ped FROM detalles_pedido  WHERE numero='$idpedido'";
             $rs_query_sum=mysql_query($query_sum);
			 $total_ped=mysql_result($rs_query_sum,0,"total_ped");
			 
			 $query_pedido="UPDATE pedido SET total_venta='$total_ped' WHERE idpedido='$idpedido'";
             $rs_query_pedido=mysql_query($query_pedido);
			 
			 //modificar tabla "platos"
			 $query_mod="UPDATE platos SET stock_plato='stock_plato-$cantidad' WHERE art='$idplatos'";
             $rs_query_mod=mysql_query($query_mod);
			 
			 //modificar cartola
			 $query_pedido="UPDATE cartola_historica SET salida='$cantidad' WHERE art='$idplatos' and pedido='$idpedido'";
             $rs_query_pedido=mysql_query($query_pedido);
			 

   
			?> <script> alert("Registro modificado con exito!");
            
            </script>
             <META HTTP-EQUIV="REFRESH" CONTENT="1;URL=modificar.php?idpedido=<? echo $idpedido ?>">
             <?
		
  }
  
  
?>